<?php
/**
 * @package ST File Icon
 * @author Alex
 * @copyright Copyright (c) 2010 - 2019 Sever IT
 * @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or Later
*/

defined ('_JEXEC') or die();

class PlgSystemStfileicons extends JPlugin
{

    protected $autoloadLanguage = true;
	protected $app;
	
	function onBeforeRender() {
	
			$doc_color = $this->params->get('doc_color');
			$pdf_color = $this->params->get('pdf_color');
			$rar_color = $this->params->get('rar_color');
			$xls_color = $this->params->get('xls_color');
			$ppt_color = $this->params->get('ppt_color');
			$doc_razmer = $this->params->get('doc_razmer');
		
			$css = 'a[href$=".doc"]:before, a[href$=".docx"]:before {color: '. $doc_color .'; font-size: '. $doc_razmer .'px }';
			$css .= 'a[href$=".pdf"]:before, a[href$=".PDF"]:before {color: '. $pdf_color .'; font-size: '. $doc_razmer .'px }';
			$css .= 'a[href$=".rar"]:before, a[href$=".zip"]:before { color: ' . $rar_color . '; font-size: '. $doc_razmer .'px}';
			$css .= 'a[href$=".xlsx"]:before, a[href$=".xls"]:before {color: ' . $xls_color . '; font-size: '. $doc_razmer .'px}';
			$css .= 'a[href$=".pptx"]:before, a[href$=".ppt"]:before {color: ' . $ppt_color . '; font-size: '. $doc_razmer .'px}';
			
			
			$doc = JFactory::getDocument();
			JHtml::_('jquery.framework');
			$doc->addStyleDeclaration($css);
			$doc->addStylesheet(JURI::root(true) . '/plugins/system/stfileicons/assets/css/stfileicons.css');
		}
	

 
}
